Subject: [mpls] Comments to draft-chen-mpls-p2mp-ingress-protection-04

From: Gregory Mirsky <[email-masked]>
Date: Sun, 13 Nov 2011 20:12:35 -0500

Dear Authors, et al.,
Please consider my comments to the document:
*       Section 4.1 Not clear how Reference model in Figure 1 positioned relative to CE-PE demarcation. Is Node S a CE node and nodes R1, Ra - PEs?  If S is CE, then, in my view, this is PWE3 redundancy scenario. If S is part of MPLS PSN, then what is sourced by S node? Is S a head-end of e2e PWE3?
*       Section 4.4 suggests using very unnatural OAM configuration to detect failure of immediate link and/or node.

        Regards,
                Greg

---

From: Huaimo Chen <[email-masked]>
Date: Tue, 15 Nov 2011 15:59:49 +0000

Hi Greg,

Thanks for your comments!
My answers to your questions are inline below.

Best Regards,
Huaimo
________________________________
From: Gregory Mirsky [mailto:[email-masked]]
Sent: Sunday, November 13, 2011 8:13 PM
To: Huaimo Chen; [email-masked]; Autumn Liu; [email-masked]
Subject: Comments to draft-chen-mpls-p2mp-ingress-protection-04

Dear Authors, et al.,

[[Chen,Huaimo]]
 Node S in Figure 1 is more general. It is not limited to CE.

LSP and PW are at different levels. PW is above LSP. Our ingress protection provides protection for LSP against ingress failures. PW (egress) redundancy provides protection for PW against (egress) failure.

An LSP can be used as a transport for a PW; it can also be used as a transport for other traffic. Thus our ingress protection for LSP can provide protection for the traffic transported over the LSP, which include PW and other traffic against ingress failures.

[[Chen,Huaimo]]
Can you give a little bit more details about this (very unnatural OAM configuration)?

        Regards,
                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 15 Nov 2011 20:10:36 -0500

Dear Huaimo,
thank you for your response and clarifications. Please find my notes in-lined under GIM>> tag.

    Regards,
        Greg

________________________________
From: Huaimo Chen [mailto:[email-masked]]
Sent: Tuesday, November 15, 2011 8:00 AM
To: Gregory Mirsky
Cc: [email-masked]; Autumn Liu; [email-masked]
Subject: RE: Comments to draft-chen-mpls-p2mp-ingress-protection-04

Hi Greg,

Best Regards,
Huaimo

Dear Authors, et al.,

[[Chen,Huaimo]]

GIM>> Can I assume that the reference model describes IP/MPLS traffic over MPLS p2mp tunnel? IMHO, in case of IP, the S node still might be viewed as CE with redundant connection to a tunnel. If the scenario is MPLS over p2mp MPLS tunnel, then the reference model, IMHO, is the case of MPLS-TE local protection described in RFC 4875.

[[Chen,Huaimo]]

 GIM>> I'll note that what can be "detected through a BFD session between the ingress node and the backup ingress node" is not only availability of primary ingress node R1 but of path between R1 and Ra as well. As result, one can receive positive negatives when the path fails and interpret them as R1 failure. Similar applies to monitoring of link between S and R1 since the monitoring is done by Ra.

        Regards,
                Greg